PRINCEPROCESSOR(1)

NAME
princeprocessor - standalone password candidate generator using the PRINCE algorithm

SYNOPSIS
princeprocessor [options] [<] wordlist

DESCRIPTION

The princeprocessor is a password candidate generator and can be thought of as an advanced combinator attack. Rather than taking as input two different wordlists and then outputting all the possible two word combinations though, princeprocessor only has one input wordlist and builds "chains" of combined words. These chains can have 1 to N words from the input wordlist concatenated together.

* Startup:

-V,  --version
    Print version

-h,  --help
    Print help

* Misc:

--keyspace
    Calculate number of combinations

* Optimization:

--pw-min=NUM
    Print candidate if length is greater than NUM

--pw-max=NUM
    Print candidate if length is smaller than NUM

--elem-cnt-min=NUM
    Minimum number of elements per chain

--elem-cnt-max=NUM
    Maximum number of elements per chain

--wl-dist-len
    Calculate output length distribution from wordlist

--wl-max=NUM
    Load only NUM words from input wordlist or use 0 to disable

-c,  --dupe-check-disable
    Disable dupes check for faster initial load

--save-pos-disable
    Save the position for later resume with -s

* Resources:

-s,  --skip=NUM
    Skip NUM passwords from start (for distributed)

-l,  --limit=NUM
    Limit output to NUM passwords (for distributed)

* Files:

-o,  --output-file=FILE
    Output-file

* Amplifier:

--case-permute
    For each word in the wordlist that begins with a letter generate a word with the opposite case of the first letter

REPORTING BUGS

Please report bugs upstream to the princeprocessor issue tracker on GitHub: https://github.com/hashcat/princeprocessor/issues

COPYRIGHT

This tool is developed and maintained by Jens Steube under the MIT License.